воскресенье, 20 октября 2013 г.

CentOS: subversion 1.7, 1.8 от WanDisco

centos 5:
Для 5 есть только 1.7, можно скачать пакетами, можно добавить репу wandisco.
Пакетами:
http://opensource.wandisco.com/centos/5/devel/RPMS/i386/
http://opensource.wandisco.com/centos/5/devel/RPMS/x86_64/

Через репу:
cat > /etc/yum.repos.d/wandisco.repo <<EOF
[wandisco]
name=subversion 1.7
baseurl=http://opensource.wandisco.com/centos/\$releasever/devel/RPMS/\$basearch/
enabled=1
gpgcheck=0
EOF

centos 6:
пакеты можно взять тут:
http://opensource.wandisco.com/centos/6/
выбираем 1.7 или 1.8

!!!При ручной установке пакетов предварительно удаляем старый svn!

Через репу - по аналогии как для 5, подставляем нужную версию, адрес получаем после посещения сайта.


Инструкция по настройке доступа через dav (http)
http://kianmeng.org/blog/2012/12/11/subversion-1-dot-7-x-installation-and-configuration-for-centos-5-dot-x/
Можно еще через inetd, в архиве должно быть.

3 комментария:

  1. Предупредил бы что там форматы репозитория разные и нужен апдейт, с этим вроде нормально автоматика справляется, не будут работать старые клиенты вроде.

    ОтветитьУдалить
    Ответы
    1. при переходе с 1.6 на 1.7? да, но это к заметке не особо относится. Вдобавок, сервер может быть на 1.6, а клиент и 1.7, и 1.8. А смысл держать на клиенте версии 1.7 и новее - тут было, почему это имеет смысл, особенно когда много каталогов и/или это проект, который смотрит в интернет (.svn может быть даже выше documentroot-а). И пример - проектик, 34к каталогов, svn up на 1.6 делался около 10 минут, на 1.7 - около 5с

      И оно кстати само ругнется, что need "svn upgrade", в этом плане проблем нет обычно.

      Удалить
    2. а что старые клиенты не работают с новым сервером - это не бага, это фича. Но сейчас полностью уйти на 1.7 - нет никаких проблем. Вот с 1.8 пока лучше не спешить, там нет мегафич типа единого .svn, а поддержка SURF (или как там оно) - есть еще в 1.6, опционально. Во freebsd можно вообще с обоими движками собирать, проверяли на 1.6

      Удалить